Index: trunk/src/series.m
===================================================================
--- trunk/src/series.m	(revision 919)
+++ trunk/src/series.m	(revision 922)
@@ -1768,4 +1768,7 @@
 extxml=cell(1,NbProcess); % initialisation of the set of labels used for the files documenting each process
 for iprocess=1:NbProcess
+    extxml{iprocess}='.xml';
+end
+for iprocess=1:NbProcess
     if ~strcmp(get(handles.RUN,'BusyAction'),'queue')% allow for STOP action
         disp('program stopped by user')
@@ -1828,7 +1831,7 @@
                     case {'PCWIN','PCWIN64'} %Windows system
                         filexml=regexprep(filexml,'\\','\\\\');% add '\' so that '\' are left as characters
-                        system([fullfile(ActionPath,[ActionName '.sh']) ' ' RunTime ' ' filexml]);% TODO: adapt to DOS system
+                        system([ActionFullName ' ' RunTime ' ' filexml]);% TODO: adapt to DOS system
                     case {'GLNX86','GLNXA64','MACI64'}%Linux  system
-                        system([fullfile(ActionPath,[ActionName '.sh']) ' ' RunTime ' ' filexml]);
+                        system([ActionFullName ' ' RunTime ' ' filexml]);
                 end
         end
@@ -1941,5 +1944,5 @@
                                 'hostname && date \n '...
                                 'umask 002 \n'...
-                                fullfile(ActionPath,[ActionName '.sh']) ' ' RunTime ' ' filexml];%allow writting access to created files for user group
+                                ActionFullName ' ' RunTime ' ' filexml];%allow writting access to created files for user group
                             fprintf(fid,cmd);%fill the executable file with the  char string cmd
                             fclose(fid);% close the executable file
@@ -1951,5 +1954,5 @@
                     end
                 end
-                msgbox_uvmat('CONFIRMATION',[ActionName ' launched in background: press STATUS to see results'])
+                msgbox_uvmat('CONFIRMATION',[ActionFullName ' launched in background: press STATUS to see results'])
         end
         
@@ -1967,5 +1970,5 @@
                 'hostname && date \n '...
                 'umask 002 \n'...
-                fullfile(ActionPath,[ActionName '.sh']) ' ' RunTime ' ' filexml{iprocess}];%allow writting access to created files for user group
+                ActionFullName ' ' RunTime ' ' filexml{iprocess}];%allow writting access to created files for user group
             else
                 cmd=[...
@@ -2021,5 +2024,5 @@
         WallTimeOneJob=min(4*JobTime+10,WallTimeTotal*60/2);% estimated max time of an individual job for checkpoint
         disp(['WallTimeOneJob: ' num2str(WallTimeOneJob) ' minutes'])
-        oar_command=['oarsub -n UVmat_' ActionName ' '...
+        oar_command=['oarsub -n UVmat_' ActionFullName ' '...
             '-t idempotent --checkpoint ' num2str(WallTimeOneJob*60) ' '...
             '-l /core=' num2str(NbCore) ','...
@@ -2028,6 +2031,9 @@
             '-O ' filename_log ' '...
             extra_oar ' '...
-            '"oar-parexec -s -f ' filename_joblist ' '...
+           '"oar-parexec -s -f ' filename_joblist ' '...
             '-l ' filename_joblist '.log"'];
+        
+
+        
         fprintf(oar_command);% display  system command on the Matlab command window
         [status,result]=system(oar_command)% execute system command and show the result (ID number of the launched job) on the Matlab command window
@@ -2037,5 +2043,5 @@
         fprintf(fid,result);% store the result (job ID number)
         fclose(fid);
-        msgbox_uvmat('CONFIRMATION',[ActionName ' launched as  ' num2str(NbProcess) ' processes in cluster: press STATUS to see results'])
+        msgbox_uvmat('CONFIRMATION',[ActionFullName ' launched as  ' num2str(NbProcess) ' processes in cluster: press STATUS to see results'])
         
     case 'cluster_pbs' % for LMFA Kepler machine
@@ -2078,5 +2084,5 @@
         fprintf(pbs_command);% display in command line
         %system(pbs_command);
-        msgbox_uvmat('CONFIRMATION',[ActionName ' command ready to be launched in cluster'])
+        msgbox_uvmat('CONFIRMATION',[ActionFullName ' command ready to be launched in cluster'])
     case 'python'
         command = [